static PyObject *
_wrap_capplet_widget_get_type(PyObject *self, PyObject *args)
{
    if (!PyArg_ParseTuple(args, ":capplet_widget_get_type"))
        return NULL;
    return PyInt_FromLong(capplet_widget_get_type());
}

static PyObject *
_wrap_capplet_widget_new(PyObject *self, PyObject *args)
{
    GtkObject *ret;

    if (!PyArg_ParseTuple(args, ":capplet_widget_new"))
        return NULL;
    ret = (GtkObject *) capplet_widget_new();
    if (ret)
        return PyGtk_New(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_capplet_widget_state_changed(PyObject *self, PyObject *args)
{
    PyObject *cap;
    int undoable;

    if (!PyArg_ParseTuple(args, "O!i:capplet_widget_state_changed", &PyGtk_Type, &cap, &undoable))
        return NULL;
    capplet_widget_state_changed(CAPPLET_WIDGET(PyGtk_Get(cap)), undoable);
    Py_INCREF(Py_None);
    return Py_None;
}

